summaryrefslogtreecommitdiffstats
path: root/desktop/afterstep
diff options
context:
space:
mode:
Diffstat (limited to 'desktop/afterstep')
-rw-r--r--desktop/afterstep/afterstep.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/desktop/afterstep/afterstep.SlackBuild b/desktop/afterstep/afterstep.SlackBuild
index 05d0d4ae93..1ddb360972 100644
--- a/desktop/afterstep/afterstep.SlackBuild
+++ b/desktop/afterstep/afterstep.SlackBuild
@@ -55,12 +55,8 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
# Take care of default xinitrc
install -D -m 0755 $CWD/xinitrc.afterstep $PKG/etc/X11/xinit/xinitrc.afterstep